/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { ApiKeyDescription } from "./ApiKeyDescription";
import type { FileTag } from "./FileTag";
import type { FolderPath } from "./FolderPath";
import type { FolderPermissionList } from "./FolderPermissionList";
import type { TagPermissions } from "./TagPermissions";

/**
 * Api key creation request.
 */
export type CreateApiKey = {
  /**
   * Destination folder for file uploads that either don't specify a file path, or specify a relative file path.
   */
  defaultFolder?: FolderPath;
  defaultTags?: Array<FileTag>;
  description: ApiKeyDescription;
  folderPermissions: FolderPermissionList;
  /**
   * Redundant for secret keys as is never inspected for them, so don't display in UI.
   */
  overrideAllowUnauthenticatedUploads?: boolean;
  tagPermissions: TagPermissions;
};
